> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/tags/get-list-of-tags",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Get list of tags

> Retrieve a paged list of all tags according to filters.



## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml get /tags
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /tags:
    get:
      tags:
        - Tags
      summary: Get list of tags
      description: Retrieve a paged list of all tags according to filters.
      operationId: getTags
      parameters:
        - in: query
          name: pageCursor
          description: Page cursor to get the next page.
          example: MjAyMy0xMi0xMyAyMDozNjowOC4zMDI=:MTEwMA==
          required: false
          schema:
            type: string
        - in: query
          name: pageSize
          description: Maximum number of items in the page
          required: false
          schema:
            minimum: 1
            maximum: 100
            default: 100
            type: number
        - in: query
          name: label
          description: Label prefix to filter by.
          example: VIP
          required: false
          schema:
            type: string
        - in: query
          name: tagIds
          description: List of tag IDs to filter by.
          required: false
          schema:
            type: array
            maxItems: 100
            items:
              type: string
              format: uuid
        - in: query
          name: includePendingApprovalsInfo
          description: Whether to include pending approval requests info.
          required: false
          schema:
            type: boolean
            default: false
        - in: query
          name: isProtected
          required: false
          schema:
            type: boolean
      responses:
        '200':
          description: Tags fetched successfully
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TagsPagedResponse'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response: Promise<FireblocksResponse<TagsPagedResponse>> =
            fireblocks.tags.getTags(tagsApiGetTagsRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<TagsPagedResponse>> response =
            fireblocks.tags().getTags(pageCursor, pageSize, label, tagIds,
            includePendingApprovalsInfo, isProtected);
        - lang: Python
          source: >-
            response = fireblocks.tags.get_tags(page_cursor, page_size, label,
            tag_ids, include_pending_approvals_info, is_protected);
components:
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs
  schemas:
    TagsPagedResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/Tag'
        next:
          type: string
          description: Cursor to the next page
          example: MjAyNS0wNy0wOSAxMDo1MzoxMy40NTI=:NA==
          nullable: true
      required:
        - data
        - next
    Tag:
      type: object
      properties:
        id:
          description: The unique identifier of the tag
          type: string
          format: uuid
          example: df4c0987-30da-4976-8dcf-bc2dd41ae331
        label:
          type: string
          description: The tag label
          example: VIP
        description:
          type: string
          description: Description for the tag
          example: Tag for VIP customers
        color:
          type: string
          description: The tag color in hex format
          example: '#FF5733'
        isProtected:
          type: boolean
          description: Indication if the tag is a protected tag
          default: false
        updatedAt:
          type: number
          description: The date and time the tag was last updated
          example: 1717084800000
        pendingApprovalRequest:
          $ref: '#/components/schemas/ApprovalRequest'
      required:
        - id
        - label
        - isProtected
        - updatedAt
    ApprovalRequest:
      type: object
      description: Approval request details
      properties:
        id:
          type: string
          format: numeric
          description: The approval request identifier
          example: '12345'
        type:
          type: string
          description: The approval request type
          enum:
            - TAG_UPDATE
            - TAG_DELETE
            - TAG_ATTACH_DETACH
        state:
          type: string
          description: The approval request state
          enum:
            - PENDING
            - APPROVED
            - REJECTED
            - FAILED
            - CANCELLED
            - EXPIRED
      required:
        - id
        - type
        - state

````